"use strict";
(function ($) {
    $.block_top_employee = function (element, options) {
        let defaults = {
            row_state_template: ""
        };
        let plugin = this;
        plugin.settings = {}
        let $element = $(element);
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            setTimeout(function() {
                $element.find('#owl-carousel').owlCarousel({
                    loop: true,
                    margin: 30,
                    autoplay: true,
                    responsive: {
                        0: {
                            items: 1,
                            nav: false,
                            dots: true
                        },
                        576: {
                            items: 2,
                            nav: false,
                            dots: true
                        },
                        768: {
                            items: 3,
                            dots: true,
                            nav: false,
                        },
                        992: {
                            items: 4,
                            dots: true,
                            nav: false,
                        },

                    }
                });
            },10);



        }
        plugin.refreshOwl = function () {
            $element.find('#owl-carousel').trigger('refresh.owl.carousel');
        }
        plugin.example_function = function () {
        }
        plugin.init();
    }
    $.fn.block_top_employee = function (options) {
        return this.each(function () {
            if (undefined === $(this).data('block_top_employee')) {
                let plugin = new $.block_top_employee(this, options);
                $(this).data('block_top_employee'
                    , plugin);
            }
        });
    }
})(jQuery);
